Search documentation of tiger_stripe

# Stripe.Services.BalanceTransactionService (tiger_stripe v0.1.1)

Copy Markdown View Source

BalanceTransaction

Balance transactions represent funds moving through your Stripe account. Stripe creates them for every type of transaction that enters or leaves your Stripe account balance.

Related guide: Balance transaction types

## Summary

### Functions

list(client, params \\ %{}, opts \\ [])

List all balance transactions

retrieve(client, id, params \\ %{}, opts \\ [])

Retrieve a balance transaction

## Functions

# list(client, params \\ %{}, opts \\ [])

    @spec list(Stripe.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

List all balance transactions

Returns a list of transactions that have contributed to the Stripe account balance (e.g., charges, transfers, and so forth). The transactions are returned in sorted order, with the most recent transactions appearing first.

Note that this endpoint was previously called “Balance history” and used the path `/v1/balance/history`.

# retrieve(client, id, params \\ %{}, opts \\ [])

    @spec retrieve(Stripe.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, Stripe.Error.t()}

Retrieve a balance transaction

Retrieves the balance transaction with the given ID.

Note that this endpoint previously used the path `/v1/balance/history/:id`.